> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/device/routing/ospfv2/area/interface > Get OSPFv2 Area's Interface specific Information ## OpenAPI ````json GET /v1/device/routing/ospfv2/area/interface { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/device/routing/ospfv2/area/interface": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "areaId", "in": "query", "description": "Valid configured Area ID", "required": true, "schema": { "type": "string", "example": "example string" }, "example": "0.0.0.0" }, { "name": "deviceId", "in": "query", "description": "Valid configured device ID > 0", "required": true, "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 }, { "name": "instanceName", "in": "query", "description": "Valid configured OSPF Instance name", "required": false, "schema": { "type": "string", "example": "example string" }, "example": "OSPF1" }, { "name": "vrfName", "in": "query", "description": "Valid configured VRF name", "required": true, "schema": { "type": "string", "example": "example string" }, "example": "default" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DeviceRoutingOspfv2AreaInterfaceGetResponse" } } } } }, "description": "Get OSPFv2 Area's Interface specific Information" } } }, "components": { "schemas": { "v1DeviceRoutingOspfv2AreaInterfaceGetResponse": { "type": "object", "properties": { "interfaces": { "type": "array", "items": { "$ref": "#/components/schemas/routingOspfInterface" } }, "pageInfo": { "$ref": "#/components/schemas/commonPageInfo" }, "token": { "type": "string", "example": "xxxxxxxxx", "description": "Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client." } }, "additionalProperties": false }, "routingOspfInterface": { "type": "object", "properties": { "bdrIpAddr": { "type": "string", "example": "131.34.23.11", "description": "Router IP Address (required)" }, "bdrRouterId": { "type": "string", "example": "1.1.1.1", "description": "BDR Router ID (required)" }, "drIpAddr": { "type": "string", "example": "131.34.23.11", "description": "Router IP Address (required)" }, "drRouterId": { "type": "string", "example": "1.1.1.1", "description": "Router ID (required)" }, "helloInterval": { "type": "string", "example": "example string" }, "helloTimer": { "type": "string", "example": 50, "description": "Timer in seconds (required)" }, "name": { "type": "string", "example": "ethernet1/0", "description": "Interface name (required)" }, "neighbors": { "type": "array", "items": { "type": "string", "example": "1.1.12.12", "description": "Nbr Router ID (required)" } }, "state": { "type": "string", "example": "Loopback", "description": "interface state (required)" }, "waitTimer": { "type": "string", "example": 50, "description": "Timer in seconds (required)" } }, "additionalProperties": false }, "commonPageInfo": { "type": "object", "properties": { "currentPage": { "type": "integer", "format": "int32", "example": 1, "minimum": 0, "description": "The page number we are currently on (required)" }, "endCursor": { "type": "string", "example": "xxxxxxy", "description": "Cursor pointing to the last record on the current page" }, "hasNextPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page after this one in the resultset based on current position" }, "hasPrevPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page before this one in the resultset based on current position" }, "startCursor": { "type": "string", "example": "xxxxxx", "description": "Cursor pointing to the first record on the current page" }, "totalPages": { "type": "integer", "format": "int32", "example": 4, "minimum": 0, "description": "The number of pages in the complete resultset based on the current length of the page (required)" }, "totalRecords": { "type": "integer", "format": "int32", "example": 400, "minimum": 0, "description": "Describes the total number of records in the complete resultset (required)" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````